<?php
namespace backend\modules\ib\controllers;

use backend\models\searches\IbTradeSearch;
use Yii;

class TradesController extends BaseController
{
    public function actionIndex()
    {
        $searchModel = new IbTradeSearch();
        $dataProvider = $searchModel->search(Yii::$app->getRequest()->getQueryParams());
        return $this->asJson($searchModel->outResult($dataProvider));
    }
}